G3/gestion/3.10.0/DocTecnica/Requisitos

Requisitos para la instalación del Sistema de Gestión Académica SIU-Guaraní 3

En todas las versiones, la letra "x" refiere a cualquiera de las publicadas.

Instalación en Windows

1. Apache 2.2.x
Ejemplo:  http://www.apache.org/dist/httpd/binaries/win32/httpd-2.2.25-win32-x86-openssl-0.9.8y.msi
Tener habilitados los módulos: (¿Cómo?)

  • rewrite_module
  • setenvif_module

2. PHP 5.4.x

  1. Seleccionar el módulo apache 2.2
  2. Indicar el directorio de configuración de Apache (generalmente C:\Archivos de Programa\Apache Software Foundation\Apache2.2\conf)
  3. Extensiones (no seleccionar todas las extensiones porque no funciona):
    1. APC
    2. CURL
    3. GD2
    4. Multi-Byte String
    5. OpenSSL
    6. PDO PostgreSQL
    7. Si se instala la versión 5.4.5 o superior es necesario agregar la extensión php_com_dotnet porque no está habilitada por defecto
    8. Para el uso de servicios web de vinculación con encuestas SIU-Kolla se requiere instalar php_xsl y WSF
  4. Modificar el archivo php.ini con la sentencia
     output_buffering = On
     date.timezone = America/Argentina/Buenos_Aires
    

3. PostgreSQL 9.3.x
Ejemplo:  http://get.enterprisedb.com/postgresql/postgresql-9.3.4-3-windows.exe

  1. Se sugiere inicializar el cluster y crear la base de datos con encoding UTF8.
  2. La base de datos de negocio de Guaraní 3 debe estar en la misma base de datos que la instancia Toba, dentro de un esquema diferente (usualmente 'negocio' y 'desarrollo', respectivamente).
  3. Asegurarse que en el archivo postgresql.conf
    • la variable standard_conforming_strings esté seteada con valor off y que la misma NO esté comentada.
    • la variable bytea_output esté seteada con valor escape y que la misma NO esté comentada.

4. Subversion
Ejemplo:  http://www.sliksvn.com/pub/Slik-Subversion-1.8.4-win32.msi

5. TortoiseSVN
 http://tortoisesvn.net/downloads.html
Nota: tener en cuenta que la versión debe ser similar a la del cliente de línea de comandos.

6. Graphviz
Ejemplo:  http://www.graphviz.org/pub/graphviz/stable/windows/graphviz-2.28.0.msi

7. Java JRE ó JDK
Ejemplo:  http://download.oracle.com/otn-pub/java/jdk/6u34-b04/jre-6u34-windows-i586.exe

Instalación en Linux – Distribuciones Debian o derivados

1. En caso de que los repositorios no tengan una versión actualizada de PHP (5.4.x) cambiar las fuentes de los paquetes.

2. Ejecutar como superusuario:

 apt-get install apache2 libapache2-mod-php5 php5-cli php5-pgsql php5-gd php5-curl 

3. Ejecutar:

 php -m

En caso de no encontrar los paquetes pdo y pdo_pgsql en el listado, se necesita instalarlos manualmente:

3.1. Descargar y compilar las extensiones utilizando el comando pecl:

 apt-get install php5-dev php-pear postgresql-server-dev-8.1 build-essential 
 pecl install pdo
 pecl install pdo_pgsql

3.2. Agregar a los archivos '/etc/php5/cli/php.ini' y '/etc/php5/apache2/php.ini':

 extension=pdo.so  
 extension=pdo_pgsql.so 

4. Para instalar servidor y cliente de PostgreSQL (en caso de no contar con un servidor aparte) ejecutar:

 apt-get install postgresql
 apt-get install postgresql-contrib-9.3

5. Para instalar el cliente Subversion ejecutar:

 apt-get install subversion

6. Para instalar Graphviz ejecutar:

 apt-get install graphviz

7. Editar los archivos '/etc/php5/apache2/php.ini' y '/etc/php5/cli/php.ini' y configurar:

 #Mínimos
 magic_quotes_gpc = Off  
 magic_quotes_runtime = Off  
 output_buffering = On  

 #Recomendados  
 memory_limit = 128M  
 post_max_size = 8M 
 upload_max_filesize = 8M 

8. Si tiene habilitado el sistema de protección Suhosin deberá configurar los siguientes parámetros (generalmente en '/etc/php5/conf.d/suhosin.ini'):

 suhosin.request.max_varname_length = 128  
 suhosin.post.max_name_length =  128